{
    "$graph": [
        {
            "class": "CommandLineTool",
            "label": "Clean Up",
            "baseCommand": "python",
            "requirements": [
                {
                    "listing": [
                        "$(inputs.Step1_outputs)",
                        "$(inputs.Step5_funcs)"
                    ],
                    "class": "InitialWorkDirRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#clean_up.cwl/Step1_outputs"
                },
                {
                    "type": "File",
                    "id": "#clean_up.cwl/Step5_funcs"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/Users/annascaife/SRC/PYRMSYNTH/TEST/clean_up.py"
                    },
                    "id": "#clean_up.cwl/script"
                }
            ],
            "id": "#clean_up.cwl",
            "outputs": []
        },
        {
            "class": "CommandLineTool",
            "label": "Initialise RMSynthesis Class",
            "baseCommand": "python",
            "requirements": [
                {
                    "listing": [
                        "$(inputs.Step2_params)"
                    ],
                    "class": "InitialWorkDirRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#init_rmsynth.cwl/Step2_params"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/Users/annascaife/SRC/PYRMSYNTH/TEST/init_rmsynth.py"
                    },
                    "id": "#init_rmsynth.cwl/script"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "Step3_rms"
                    },
                    "id": "#init_rmsynth.cwl/Step3_rms"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*_rmsf.txt"
                    },
                    "id": "#init_rmsynth.cwl/rmsf"
                }
            ],
            "id": "#init_rmsynth.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Format Input Data",
            "baseCommand": "python",
            "requirements": [
                {
                    "listing": [
                        "$(inputs.FITSfiles)",
                        "$(inputs.Step1_options)",
                        "$(inputs.Step1_params)",
                        "$(inputs.Step1_outputs)"
                    ],
                    "class": "InitialWorkDirRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#make_input_data.cwl/FITSfiles"
                },
                {
                    "type": "File",
                    "id": "#make_input_data.cwl/Step1_options"
                },
                {
                    "type": "File",
                    "id": "#make_input_data.cwl/Step1_outputs"
                },
                {
                    "type": "File",
                    "id": "#make_input_data.cwl/Step1_params"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/Users/annascaife/SRC/PYRMSYNTH/pyrmsynth/rmsynthesis.py"
                    },
                    "id": "#make_input_data.cwl/script"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "Step2_funcs"
                    },
                    "id": "#make_input_data.cwl/Step2_funcs"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "Step2_params"
                    },
                    "id": "#make_input_data.cwl/Step2_params"
                }
            ],
            "id": "#make_input_data.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Create Output Data",
            "baseCommand": "python",
            "requirements": [
                {
                    "listing": [
                        "$(inputs.Step1_outputs)",
                        "$(inputs.Step2_funcs)",
                        "$(inputs.Step2_params)",
                        "$(inputs.Step3_rms)"
                    ],
                    "class": "InitialWorkDirRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#make_output_data.cwl/Step1_outputs"
                },
                {
                    "type": "File",
                    "id": "#make_output_data.cwl/Step2_funcs"
                },
                {
                    "type": "File",
                    "id": "#make_output_data.cwl/Step2_params"
                },
                {
                    "type": "File",
                    "id": "#make_output_data.cwl/Step3_rms"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/Users/annascaife/SRC/PYRMSYNTH/TEST/make_output_data.py"
                    },
                    "id": "#make_output_data.cwl/script"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "Step4_funcs"
                    },
                    "id": "#make_output_data.cwl/Step4_funcs"
                }
            ],
            "id": "#make_output_data.cwl"
        },
        {
            "class": "Workflow",
            "label": "RMSynth Workflow",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#main/FITSfiles"
                },
                {
                    "type": "string",
                    "id": "#main/flag"
                },
                {
                    "type": "File",
                    "id": "#main/parfile"
                },
                {
                    "type": "File",
                    "id": "#main/script1"
                },
                {
                    "type": "File",
                    "id": "#main/script2"
                },
                {
                    "type": "File",
                    "id": "#main/script3"
                },
                {
                    "type": "File",
                    "id": "#main/script4"
                },
                {
                    "type": "File",
                    "id": "#main/script5"
                },
                {
                    "type": "File",
                    "id": "#main/script6"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/write_output/pfits",
                    "id": "#main/pfits"
                },
                {
                    "type": "File",
                    "outputSource": "#main/write_output/phifits",
                    "id": "#main/phifits"
                },
                {
                    "type": "File",
                    "outputSource": "#main/write_output/polfits",
                    "id": "#main/polfits"
                },
                {
                    "type": "File",
                    "outputSource": "#main/write_output/qfits",
                    "id": "#main/qfits"
                },
                {
                    "type": "File",
                    "outputSource": "#main/write_output/qmapfits",
                    "id": "#main/qmapfits"
                },
                {
                    "type": "File",
                    "outputSource": "#main/init_rmsynth/rmsf",
                    "id": "#main/rmsf"
                },
                {
                    "type": "File",
                    "outputSource": "#main/write_output/ufits",
                    "id": "#main/ufits"
                },
                {
                    "type": "File",
                    "outputSource": "#main/write_output/umapfits",
                    "id": "#main/umapfits"
                }
            ],
            "steps": [
                {
                    "run": "#clean_up.cwl",
                    "in": [
                        {
                            "source": "#main/set_parameters/Step1_outputs",
                            "id": "#main/clean_up/Step1_outputs"
                        },
                        {
                            "source": "#main/write_output/Step5_funcs",
                            "id": "#main/clean_up/Step5_funcs"
                        },
                        {
                            "source": "#main/script6",
                            "id": "#main/clean_up/script"
                        }
                    ],
                    "out": [],
                    "id": "#main/clean_up"
                },
                {
                    "run": "#init_rmsynth.cwl",
                    "in": [
                        {
                            "source": "#main/make_input_data/Step2_params",
                            "id": "#main/init_rmsynth/Step2_params"
                        },
                        {
                            "source": "#main/script3",
                            "id": "#main/init_rmsynth/script"
                        }
                    ],
                    "out": [
                        "#main/init_rmsynth/Step3_rms",
                        "#main/init_rmsynth/rmsf"
                    ],
                    "id": "#main/init_rmsynth"
                },
                {
                    "run": "#make_input_data.cwl",
                    "in": [
                        {
                            "source": "#main/FITSfiles",
                            "id": "#main/make_input_data/FITSfiles"
                        },
                        {
                            "source": "#main/set_parameters/Step1_options",
                            "id": "#main/make_input_data/Step1_options"
                        },
                        {
                            "source": "#main/set_parameters/Step1_outputs",
                            "id": "#main/make_input_data/Step1_outputs"
                        },
                        {
                            "source": "#main/set_parameters/Step1_params",
                            "id": "#main/make_input_data/Step1_params"
                        },
                        {
                            "source": "#main/script2",
                            "id": "#main/make_input_data/script"
                        }
                    ],
                    "out": [
                        "#main/make_input_data/Step2_params",
                        "#main/make_input_data/Step2_funcs"
                    ],
                    "id": "#main/make_input_data"
                },
                {
                    "run": "#make_output_data.cwl",
                    "in": [
                        {
                            "source": "#main/set_parameters/Step1_outputs",
                            "id": "#main/make_output_data/Step1_outputs"
                        },
                        {
                            "source": "#main/make_input_data/Step2_funcs",
                            "id": "#main/make_output_data/Step2_funcs"
                        },
                        {
                            "source": "#main/make_input_data/Step2_params",
                            "id": "#main/make_output_data/Step2_params"
                        },
                        {
                            "source": "#main/init_rmsynth/Step3_rms",
                            "id": "#main/make_output_data/Step3_rms"
                        },
                        {
                            "source": "#main/script4",
                            "id": "#main/make_output_data/script"
                        }
                    ],
                    "out": [
                        "#main/make_output_data/Step4_funcs"
                    ],
                    "id": "#main/make_output_data"
                },
                {
                    "run": "#set_parameters.cwl",
                    "in": [
                        {
                            "source": "#main/parfile",
                            "id": "#main/set_parameters/RMparfile"
                        },
                        {
                            "source": "#main/flag",
                            "id": "#main/set_parameters/flag"
                        },
                        {
                            "source": "#main/script1",
                            "id": "#main/set_parameters/script"
                        }
                    ],
                    "out": [
                        "#main/set_parameters/Step1_options",
                        "#main/set_parameters/Step1_params",
                        "#main/set_parameters/Step1_outputs"
                    ],
                    "id": "#main/set_parameters"
                },
                {
                    "run": "#write_output.cwl",
                    "in": [
                        {
                            "source": "#main/set_parameters/Step1_outputs",
                            "id": "#main/write_output/Step1_outputs"
                        },
                        {
                            "source": "#main/make_input_data/Step2_params",
                            "id": "#main/write_output/Step2_params"
                        },
                        {
                            "source": "#main/make_output_data/Step4_funcs",
                            "id": "#main/write_output/Step4_funcs"
                        },
                        {
                            "source": "#main/script5",
                            "id": "#main/write_output/script"
                        }
                    ],
                    "out": [
                        "#main/write_output/Step5_funcs",
                        "#main/write_output/pfits",
                        "#main/write_output/qfits",
                        "#main/write_output/ufits",
                        "#main/write_output/phifits",
                        "#main/write_output/polfits",
                        "#main/write_output/qmapfits",
                        "#main/write_output/umapfits"
                    ],
                    "id": "#main/write_output"
                }
            ],
            "id": "#main"
        },
        {
            "class": "CommandLineTool",
            "label": "Set Parameters",
            "baseCommand": "python",
            "requirements": [
                {
                    "listing": [
                        "$(inputs.RMparfile)"
                    ],
                    "class": "InitialWorkDirRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#set_parameters.cwl/RMparfile"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#set_parameters.cwl/flag"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/Users/annascaife/SRC/PYRMSYNTH/TEST/set_parameters.py"
                    },
                    "id": "#set_parameters.cwl/script"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*_options"
                    },
                    "id": "#set_parameters.cwl/Step1_options"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*_outputs"
                    },
                    "id": "#set_parameters.cwl/Step1_outputs"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*_params"
                    },
                    "id": "#set_parameters.cwl/Step1_params"
                }
            ],
            "id": "#set_parameters.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "Write Output Files",
            "baseCommand": "python",
            "requirements": [
                {
                    "listing": [
                        "$(inputs.Step1_outputs)",
                        "$(inputs.Step4_funcs)",
                        "$(inputs.Step2_params)"
                    ],
                    "class": "InitialWorkDirRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#write_output.cwl/Step1_outputs"
                },
                {
                    "type": "File",
                    "id": "#write_output.cwl/Step2_params"
                },
                {
                    "type": "File",
                    "id": "#write_output.cwl/Step4_funcs"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/Users/annascaife/SRC/PYRMSYNTH/TEST/write_output.py"
                    },
                    "id": "#write_output.cwl/script"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "Step5_funcs"
                    },
                    "id": "#write_output.cwl/Step5_funcs"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*_p.fits"
                    },
                    "id": "#write_output.cwl/pfits"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*_phi.fits"
                    },
                    "id": "#write_output.cwl/phifits"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*_polint.fits"
                    },
                    "id": "#write_output.cwl/polfits"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*_q.fits"
                    },
                    "id": "#write_output.cwl/qfits"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*_qmap.fits"
                    },
                    "id": "#write_output.cwl/qmapfits"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*_u.fits"
                    },
                    "id": "#write_output.cwl/ufits"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*_umap.fits"
                    },
                    "id": "#write_output.cwl/umapfits"
                }
            ],
            "id": "#write_output.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
